<!doctype html>
<html lang="<?= config('language_code') ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <meta name="theme-color" content="#35A768">
    <meta name="google" content="notranslate">

    <meta property="og:title" content="<?= lang('page_title') . ' ' . vars('company_name') ?> | TFE Group"/>
    <meta property="og:url" content="<?= base_url() ?>">
    <meta property="og:image" content="<?= base_url('assets/img/social-card.png') ?>"/>
    <meta property="og:type" content="website">

    <?php slot('meta'); ?>

    <title><?= lang('page_title') . ' ' . vars('company_name') ?> | TFE Group</title>

    <link rel="icon" type="image/x-icon" href="<?= asset_url('assets/img/favicon.ico') ?>">
    <link rel="icon" sizes="192x192" href="<?= asset_url('assets/img/logo.png') ?>">

    <link rel="stylesheet" type="text/css" href="<?= asset_url('assets/vendor/cookieconsent/cookieconsent.min.css') ?>">
    <link rel="stylesheet" type="text/css" href="<?= asset_url('assets/vendor/flatpickr/flatpickr.min.css') ?>">
    <link rel="stylesheet" type="text/css" href="<?= asset_url('assets/vendor/flatpickr/material_green.min.css') ?>">
    <link rel="stylesheet" type="text/css" href="<?= asset_url('assets/css/themes/' . vars('theme') . '.css') ?>">
    <link rel="stylesheet" type="text/css" href="<?= asset_url('assets/css/general.css') ?>">
    <link rel="stylesheet" type="text/css" href="<?= asset_url('assets/css/layouts/booking_layout.css') ?>">

    <?php component('company_color_style', ['company_color' => vars('company_color')]); ?>

    <?php slot('styles'); ?>

    <style>
        .price-table {
            width: 100%;
            margin: 0 auto;
            border-collapse: collapse;
        }
        .price-table th {
            padding: 8px;
            border-bottom: 2px solid #429a82;
            text-align: left;
            background-color: #f4f4f4;
        }
        .price-table td {
            padding: 8px;
            /* border-bottom: 1px solid #429a82; */
        }
        .price-table .section-title {
            font-size: 1.2em;
            font-weight: bold;
            padding-top: 16px;
        }
        .price-table .price {
            text-align: left;
        }
        .price-table .star-text{
            text-align: left;
            font-size: 0.9em;
            padding: 0 0 0 20px;
            color: #666666;
        }
        .price-table td:not(.price, .star-text)::before {
            content: "• ";
            color: black;
        }
        
        
    </style>
</head>

<body>
<div id="main" class="container">
    <div class="row wrapper">
        <div id="book-appointment-wizard" class="col-12 col-lg-10 col-xl-8 col-xxl-7">
            <?php component('home_header', [
                'company_name' => vars('company_name'),
                'company_logo' => vars('company_logo'),
            ]); ?>

            <table class="price-table">
                <thead>
                    <tr>
                        <th colspan="2" class="section-title">藥物治療</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>診金</td>
                        <td class="price">$100</td>
                    </tr>
                    <tr>
                        <td>中藥濃縮顆粒</td>
                        <td class="price">$100/天</td>
                        
                    </tr>
                </tbody>
                <thead>
                    <tr>
                        <th colspan="2" class="section-title">手法治療</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="col-8">針灸 (多+1個部位/專科針灸*)</td>
                        <td class="price">$360 (+$130/項)</td>
                    </tr>
                    <tr>
                        <td class="star-text">*專科針灸:腫瘤科、分解黏連針法、火針丶溫針灸丶皮針、刺血療法</td>                        
                    </tr>
                    <tr>
                        <td>手法治療</td>
                        <td class="price">$130</td>
                    </tr>
                    <tr>
                        <td>肌筋膜療法手法 (多+1個部位)</td>
                        <td class="price">$360 (+$180)</td>
                    </tr>
                    <tr>
                        <td>運動拔罐 (多+1個部位)</td>
                        <td class="price">$360 (+$180)</td>
                    </tr>
                    <tr>
                        <td>正骨整脊 (多+1個部位)</td>
                        <td class="price">$360 (+$180)</td>
                    </tr>
                    <tr>
                        <td>專業推拿* (60分鐘)</td>
                        <td class="price">$420</td>
                    </tr>
                    <tr>
                        <td class="star-text">*經註冊中醫師診斷後由專業推拿師執行, 其後以30分鐘計算</td>                        
                    </tr>
                </tbody>
                <thead>
                    <tr>
                        <th colspan="2" class="section-title">外敷治療</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>藥灸</td>
                        <td class="price">$100</td>
                    </tr>
                    <tr>
                        <td>跌打</td>
                        <td class="price">$360/部位</td>
                    </tr>
                    <tr>
                        <td>耳穴療法</td>
                        <td class="price">$120</td>
                    </tr>
                </tbody>
                <thead>
                    <tr>
                        <th colspan="2" class="section-title">其他治療</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>美顏針灸</td>
                        <td class="price">$680/項</td>
                    </tr>
                    <tr>
                        <td>減肥腹針</td>
                        <td class="price">$680/項</td>
                    </tr>
                </tbody>
            </table>

            <?php component('booking_footer', ['display_login_button' => vars('display_login_button')]); ?>
        </div>
    </div>
</div>

<?php if (vars('display_cookie_notice') === '1'): ?>
    <?php component('cookie_notice_modal', ['cookie_notice_content' => vars('cookie_notice_content')]); ?>
<?php endif; ?>

<?php if (vars('display_terms_and_conditions') === '1'): ?>
    <?php component('terms_and_conditions_modal', [
        'terms_and_conditions_content' => vars('terms_and_conditions_content'),
    ]); ?>
<?php endif; ?>

<?php if (vars('display_privacy_policy') === '1'): ?>
    <?php component('privacy_policy_modal', ['privacy_policy_content' => vars('privacy_policy_content')]); ?>
<?php endif; ?>

<script src="<?= asset_url('assets/vendor/jquery/jquery.min.js') ?>"></script>
<script src="<?= asset_url('assets/vendor/cookieconsent/cookieconsent.min.js') ?>"></script>
<script src="<?= asset_url('assets/vendor/@popperjs-core/popper.min.js') ?>"></script>
<script src="<?= asset_url('assets/vendor/bootstrap/bootstrap.min.js') ?>"></script>
<script src="<?= asset_url('assets/vendor/moment/moment.min.js') ?>"></script>
<script src="<?= asset_url('assets/vendor/moment-timezone/moment-timezone-with-data.min.js') ?>"></script>
<script src="<?= asset_url('assets/vendor/@fortawesome-fontawesome-free/fontawesome.min.js') ?>"></script>
<script src="<?= asset_url('assets/vendor/@fortawesome-fontawesome-free/solid.min.js') ?>"></script>
<script src="<?= asset_url('assets/vendor/tippy.js/tippy-bundle.umd.min.js') ?>"></script>
<script src="<?= asset_url('assets/vendor/flatpickr/flatpickr.min.js') ?>"></script>

<script src="<?= asset_url('assets/js/app.js') ?>"></script>
<script src="<?= asset_url('assets/js/utils/date.js') ?>"></script>
<script src="<?= asset_url('assets/js/utils/file.js') ?>"></script>
<script src="<?= asset_url('assets/js/utils/http.js') ?>"></script>
<script src="<?= asset_url('assets/js/utils/lang.js') ?>"></script>
<script src="<?= asset_url('assets/js/utils/message.js') ?>"></script>
<script src="<?= asset_url('assets/js/utils/string.js') ?>"></script>
<script src="<?= asset_url('assets/js/utils/url.js') ?>"></script>
<script src="<?= asset_url('assets/js/utils/validation.js') ?>"></script>
<script src="<?= asset_url('assets/js/layouts/booking_layout.js') ?>"></script>
<script src="<?= asset_url('assets/js/http/localization_http_client.js') ?>"></script>

<?php component('js_vars_script'); ?>
<?php component('js_lang_script'); ?>

<?php component('google_analytics_script', ['google_analytics_code' => vars('google_analytics_code')]); ?>
<?php component('matomo_analytics_script', [
    'matomo_analytics_url' => vars('matomo_analytics_url'),
    'matomo_analytics_site_id' => vars('matomo_analytics_site_id'),
]); ?>

<?php slot('scripts'); ?>

</body>
</html>